Bug 15157 - REGRESSION: Image defined in background-position: top center gets unexpectedly truncated
: REGRESSION: Image defined in background-position: top center gets unexpectedl...
Status: RESOLVED FIXED
: WebKit
Layout and Rendering
: 523.x (Safari 3)
: All All
: P1 Normal
Assigned To:
: http://www.hixie.ch/tests/adhoc/css/b...
: HasReduction, InRadar, Regression
:
:
  Show dependency treegraph
 
Reported: 2007-09-07 13:55 PST by
Modified: 2007-10-14 07:06 PST (History)


Attachments
Account for the case where the body's background doesn't propagate to the root (53.04 KB, patch)
2007-09-08 05:39 PST, mitz@webkit.org
mjs: review+
Review Patch | Details | Formatted Diff | Diff


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-07 13:55:59 PST
Steps to reproduce:
-------------------
1. Load provided URL

Actual results
--------------
The 2 cats "smallcats" image inside the green-bordered box are truncated. We can see only the top half of the 2 cats image. We can see only the top half of the 2 cats image.

Expected results
----------------
The 2 cats "smallcats" image inside the green-bordered box should be rendered entirely, without truncation. We should see the whole 2 cats "smallcats" image.

Nota bene: 
- the top of the ears of the top-most 2 cats image in the blue-bordered box touching the blue top-border is a consequence of bug 10794.
- There is no truncation with other browsers like Firefox 2.0.0.6, Opera 9.23 build 8808, Opera 9.50a1 build 9500, Seamonkey 2.0a1pre rv:1.9a8pre build 2007090402 and MSIE 7. I also get expected results with Swift 0.2 which is using Safari 2.0.4; this is also confirmed when using http://www.browsrcamp.com/
- I can upload a screenshot if required, requested
- I'm using Safari 3.0.3 build 522.15.5 under XP Pro
------- Comment #1 From 2007-09-07 14:03:59 PST -------
I searched for a duplicate and did not find any.
------- Comment #2 From 2007-09-07 14:35:04 PST -------
Screenshot:
http://browsershots.org/http://www.hixie.ch/tests/adhoc/css/background/12.html
------- Comment #3 From 2007-09-07 15:55:04 PST -------
I don't see this in Safari 3 on Tiger.  This might be Windows-specific.
------- Comment #4 From 2007-09-07 22:06:07 PST -------
I reproduced this in TOT on 10.5.  It appears to be an incremental painting issue.  Resizing the browser window causes the full image to be displayed.  After it has occurred once I needed to empty the browser cache to trigger it again.
------- Comment #5 From 2007-09-07 22:11:56 PST -------
<rdar://problem/5469095>
------- Comment #6 From 2007-09-07 22:44:44 PST -------
This a regression?  I think it might be.
------- Comment #7 From 2007-09-08 05:09:23 PST -------
(In reply to comment #6)
> This a regression?  I think it might be.

Probably regressed with the patch that refined background image repaints. I simply ignored the fact that  when both <html> and <body> specify backgrounds, the body's doesn't propagate to the root.
------- Comment #8 From 2007-09-08 05:39:27 PST -------
Created an attachment (id=16226) [details]
Account for the case where the body's background doesn't propagate to the root
------- Comment #9 From 2007-09-08 09:10:06 PST -------
Yes, this is a regression from Safari 2.0.4 (419.3) with original WebKit on Mac OS X 10.4.10 (8R218).
------- Comment #10 From 2007-09-08 09:11:52 PST -------
(In reply to comment #9)
> Yes, this is a regression from Safari 2.0.4 (419.3) with original WebKit on Mac
> OS X 10.4.10 (8R218).

Tested with a local debug build of WebKit r25410 with Safari 3 Public Beta v. 3.0.3 (522.12.1) on Mac OS X 10.4.10 (8R218).
------- Comment #11 From 2007-09-10 19:47:21 PST -------
(From update of attachment 16226 [details])
r=me
------- Comment #12 From 2007-09-10 22:27:44 PST -------
Landed in r25487.
------- Comment #13 From 2007-10-02 11:43:48 PST -------
The pixel tests seem to suggest that fast/repaint/body-background-image.html may have regressed on the newly merged feature branch.  The apple is no longer "highlighted" by a lighter square in the "actual" results.  The entire page is instead a dim grey.  I don't really know how repaint tests work though.  Please re-close this bug (after updating the pixel test results) if I have simply misunderstood the test.

I don't see any expected results checked into either feature-branch or trunk however.  Odd.
------- Comment #14 From 2007-10-02 13:03:02 PST -------
(In reply to comment #13)
> I don't see any expected results checked into either feature-branch or trunk
> however.  Odd.

<http://trac.webkit.org/projects/webkit/browser/trunk/LayoutTests/platform/mac/fast/repaint/body-background-image-expected.png?rev=25487>
------- Comment #15 From 2007-10-14 04:55:10 PST -------
This is reopened, but the comments don't really seem sure about why it was reopened.  Mitz, can you verify that your patch did in fact fix it and that it's passing on trunk at present?
------- Comment #16 From 2007-10-14 07:06:36 PST -------
Looks fine to me with TOT.